Bug 171591 - Segmentation fault if destination path contains a special character
Summary: Segmentation fault if destination path contains a special character
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dos2unix   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-23 23:35 UTC by Brian Curtis
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 02:22:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Curtis 2005-10-23 23:35:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
The utility produces a segmentation fault when the destination path contains a special character

Examples:

dos2unix -n example.cpp /cm/vobs/examplevob/example_prj/example.cpp

dos2unix -n example.cpp /cm/vobs/examplevob/example-prj/example.cpp

etc...





Version-Release number of selected component (if applicable):
dos2unix-3.1-21

How reproducible:
Always

Steps to Reproduce:
1.  Create example.cpp in dos format under /.
2.  Create a directory with a special character in the name (ex: /ex_ample, /ex-ample).
3.  Under /, run "dos2unix -n example.cpp /ex_ample/example.cpp"
  

Actual Results:  Segmentation fault

Expected Results:  Produce a UNIX format example.cpp in the destination path.

Additional info:

Comment 1 Brian Curtis 2005-10-24 02:21:57 UTC
Reproduction is a simplified example.  Bug is not always reproducable as 
originally noted, but always happends with the same file in a build script.  
It occurs several files have already be run through dos2unix and placed in a 
destination directory like \example_dir.  Issue appears to have more to do 
with NFS / ClearCase environment.


Note You need to log in before you can comment on or make changes to this bug.